Skip to main content
GET
/
api2
/
v1
/
analyses
/
{analyseUid}
/
analyseLanguageParts
/
{analyseLanguagePartId}
Get analysis language part
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/analyses/{analyseUid}/analyseLanguageParts/{analyseLanguagePartId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/analyses/{analyseUid}/analyseLanguageParts/{analyseLanguagePartId}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/analyses/{analyseUid}/analyseLanguageParts/{analyseLanguagePartId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "all": {
      "characters": 123,
      "editingTime": 123,
      "normalizedPages": 123,
      "percent": 123,
      "segments": 123,
      "words": 123
    },
    "available": true,
    "internalFuzzyMatches": {
      "match0": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match100": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match50": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match75": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match85": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match95": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      }
    },
    "machineTranslationMatches": {
      "match0": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match100": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match50": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match75": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match85": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match95": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      }
    },
    "nonTranslatablesMatches": {
      "match100": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match99": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      }
    },
    "repetitions": {
      "characters": 123,
      "editingTime": 123,
      "normalizedPages": 123,
      "percent": 123,
      "segments": 123,
      "words": 123
    },
    "transMemoryMatches": {
      "match0": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match100": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match101": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match50": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match75": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match85": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match95": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      }
    }
  },
  "discountedData": {
    "all": {
      "characters": 123,
      "editingTime": 123,
      "normalizedPages": 123,
      "percent": 123,
      "segments": 123,
      "words": 123
    },
    "available": true,
    "internalFuzzyMatches": {
      "match0": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match100": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match50": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match75": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match85": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match95": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      }
    },
    "machineTranslationMatches": {
      "match0": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match100": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match50": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match75": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match85": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match95": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      }
    },
    "nonTranslatablesMatches": {
      "match100": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match99": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      }
    },
    "repetitions": {
      "characters": 123,
      "editingTime": 123,
      "normalizedPages": 123,
      "percent": 123,
      "segments": 123,
      "words": 123
    },
    "transMemoryMatches": {
      "match0": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match100": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match101": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match50": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match75": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match85": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      },
      "match95": {
        "characters": 123,
        "editingTime": 123,
        "normalizedPages": 123,
        "percent": 123,
        "segments": 123,
        "words": 123
      }
    }
  },
  "id": "<string>",
  "jobs": [
    {
      "filename": "<string>",
      "innerId": "<string>",
      "jobUid": "<string>",
      "uid": "<string>"
    }
  ],
  "sourceLang": "<string>",
  "targetLang": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

analyseUid
string
required

Analysis UID

analyseLanguagePartId
integer<int64>
required

Analysis language part ID

Response

OK

data
object
discountedData
object
id
string
jobs
object[]

Max of 100 jobs returned, use "List jobs of analyses" to get all

sourceLang
string
targetLang
string